package com.hzya.frame.sys.templateFields.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.templateFields.dao.ITemplateFieldsMapper;
import com.hzya.frame.sys.templateFields.entity.TemplateDto;
import com.hzya.frame.sys.templateFields.entity.TemplateFields;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 模版字段表  dao
 * @tableName: sys_template_fields
 * @entityName: TemplateFields
 * @author: gjh
 * @history:1.0
 */
@Service
public class TemplateFieldsMapperImpl extends MybatisGenericDao<TemplateFields, String> implements ITemplateFieldsMapper {

    @Override
    public TemplateFields entity_get(String id) {
        TemplateFields o = (TemplateFields) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<TemplateFields> entity_list_base(TemplateFields entity) {
        List<TemplateFields> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(TemplateFields entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<TemplateFields> entity_list_like(TemplateFields entity) {
        List<TemplateFields> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<TemplateFields> entity_list_or(TemplateFields entity) {
        List<TemplateFields> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(TemplateFields entity) {
        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(TemplateFields entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(TemplateFields entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(TemplateFields entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(TemplateFields entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }


    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<TemplateFields> queryUserTemplateFields(TemplateDto entity) {
        List<TemplateFields> o = super.query(getSqlIdPrifx() + "queryUserTemplateFields", entity);
        return o;

    }    //分页查询列表 采用like格式 entity_list_like

    @Override
    public List<TemplateFields> queryTemplateFields(TemplateDto entity) {
        List<TemplateFields> o = super.query(getSqlIdPrifx() + "queryTemplateFields", entity);
        return o;
    }
}
